]> arthur.barton.de Git - bup.git/blobdiff - cmd/import-duplicity-cmd.py
Configure python, use it, and embed during install
[bup.git] / cmd / import-duplicity-cmd.py
index 163d4faf8101e4ac61d48c258c9c2384d1f67ee5..ff37daf0e99bfd5ab859b601399d450d12f18fb8 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 from calendar import timegm
 from pipes import quote